<template>
  <div class="q-pt-xl">
    <div
      :class="
        ($q.platform.is.mobile ? 'text-h2' : 'text-h1') +
          ' text-bold text-white text-center'
      "
    >
      Pricing
    </div>
    <div class="row justify-evenly q-pa-md">
      <div class="col-12 col-sm-8 col-md-4">
        <q-card class="q-my-sm rounded-border-16 shadow-4 text-center">
          <q-card-section class="bg-alt-primary"></q-card-section>
          <q-card-section class="q-pt-lg">
            <div class="text-h3 text-bold">Personal or Early-stage Startups</div>
          </q-card-section>

          <q-card-section class="q-pb-xl relative-position row justify-center">
            <div
              class="q-pa-md text-white rounded-border-16 pay-slip rotate-350 bg-alt-primary opacity-95"
            >
              <div class="text-h5 text-bold">$8/month or $80/year</div>
              <div class="text-subtitle1">Early bird discount</div>
            </div>
            <div class="text-h3 text-bold text-strike">$10/month</div>
          </q-card-section>

          <q-card-section>
            <q-btn
              to="request-access"
              size="lg"
              style="font-size: 16px;"
              text-color="black"
              class="q-my-md ctrl-p-alt-s-secondary-accent"
              label="Request access"
            />
            <div v-for="(benefit, index) in benefitsPersonal" :key="index">
              <div class="text-subtitle1 q-ma-md">
                {{ benefit.description }}
                <q-badge
                  class="q-pa-sm"
                  v-if="!benefit.building"
                  color="alt-primary"
                >
                  Coming soon
                </q-badge>
              </div>
              <q-separator inset />
            </div>
          </q-card-section>
        </q-card>
      </div>

      <div class="col-12 col-sm-8 col-md-4">
        <q-card class="q-my-sm rounded-border-16 shadow-4 text-center">
          <q-card-section class="bg-ctrl-secondary"></q-card-section>
          <q-card-section class="q-pt-lg">
            <div class="text-h3 text-bold">Medium or Large Enterprises</div>
          </q-card-section>

          <q-card-section class="q-pb-xl relative-position row justify-center">
            <div
              class="q-pa-md text-black rounded-border-16 pay-slip rotate-5 bg-ctrl-secondary opacity-95"
            >
              <!-- <div class="text-h5 text-bold">$16/month or $160/year</div> -->
              <div class="text-h5 text-bold">$12/month/user or $120/year/user</div>
              <div class="text-subtitle1">Early bird discount</div>
            </div>
            <div class="text-h3 text-bold text-strike">$15/month</div>
          </q-card-section>

          <q-card-section>
            <q-btn
              to="request-access"
              size="lg"
              style="font-size: 16px;"
              text-color="black"
              class="q-my-md ctrl-p-alt-s-secondary-accent"
              label="Request access"
            />
            <div v-for="(benefit, index) in benefitsEnterprise" :key="index">
              <div class="text-subtitle1 q-ma-md">
                {{ benefit.description }}
                <q-badge
                  class="q-pa-sm"
                  v-if="!benefit.building"
                  color="alt-primary"
                >
                  Coming soon
                </q-badge>
              </div>
              <q-separator inset />
            </div>
          </q-card-section>
        </q-card>
      </div>
    </div>
    <div class="row justify-center q-mx-md q-py-md">
      <div class="col-12 col-sm-8 col-md-3 gradient-box-pricing text-center q-ma-md">
        <div class="row q-pa-md">
          <div class="text-h4 text-bold text-white">
            Students, and Educators can avail our services at no charge.
          </div>
          <div class="text-subtitle1 text-white">Educational Institutes, Open Source organizations and Not-For-Profit get 50% discount on listed price.</div>
          <div class="row justify-end full-width q-my-md">
            <q-btn
              size="lg"
              style="font-size: 16px;"
              text-color="black"
              class="ctrl-p-alt-s-secondary-accent"
              label="Start for free"
              to="request-access"
            />
          </div>
        </div>
      </div>
      <div class="col-12 col-sm-8 col-md-6 gradient-box-pricing text-center q-ma-md">
        <div class="row q-pa-md">
          <q-img contain src="~assets/OSIApproved.svg" class="q-px-md col-12 col-md-2"/>
          <div class="row items-center col-12 col-md">
            <div :class="($q.platform.is.mobile ? 'text-h4' : 'text-h2') + ' text-bold text-white'">
              theNexusCodes is licensed as AGPLv3.0 or later. Get started now.
            </div>
            <div class="row justify-end full-width q-my-md">
              <q-btn
                size="lg"
                style="font-size: 16px;"
                text-color="black"
                class="ctrl-p-alt-s-secondary-accent"
                label="Start for free"
                to="request-access"
              />
            </div>
          </div>
        </div>
      </div>
    </div>

    <div id="data" class="row justify-center full-width q-pb-lg">
      <q-btn round color="alt-primary" icon="expand_more" to="#data"/>
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent } from '@vue/composition-api';
export default defineComponent({
  name: 'IndexPricing',

  data() {
    return {
      benefitsPersonal: [
        {
          description: 'Suitable for Makers, Creators, Engineers, Entrepreneurs, Marketers, Sales, Researchers, Independent Journalists, Data Hoarders',
          building: true
        },
        {
          description: 'Auto-generated digital knowledge-base',
          building: true
        },
        {
          description: 'Searchable knowledge-graph of your digital activity',
          building: true
        },
        {
          description: 'Search through text and media alike',
          building: true
        },
        {
          description:
            'Sync across Mozilla Firefox and Chromium-based browsers',
          building: true
        },
        {
          description: 'Add directories from your phone, computer, and cloud storage',
          building: false
        },
        {
          description: 'AI-powered insights based on knowledge graph',
          building: false
        }
      ],
      benefitsEnterprise: [
        {
          description:
            'Ideal for CXOs, Executive Assistants, Engineering, Community and Brand Managers, Journalists, Marketing, Sales, R&D',
          building: true
        },
        {
          description: 'Everything in Personal or Early-Stage Startups',
          building: true
        },
        {
          description: 'Install on-premises or private cloud at 15 % discount on list price',
          building: true
        },
        {
          description: 'Organization level knowledge graph with Access Control',
          building: true
        },
        {
          description: 'Slack, Mattermost, Element, and Zapier integration',
          building: false
        },
        {
          description: 'SSO using LDAP, OAuth, SAML, etc.',
          building: false
        },
        {
          description: '99.9% uptime, with options of multi-tenancy, and priority support',
          building: true
        }
      ]
    };
  }
});
</script>
